Search Results for

Show / Hide Table of Contents

# Interface IAnnotation

Describes an overlay element that is rendered either before or after a series.

Annotations can be positioned either in screen space (e.g. a legend) or in graph space (e.g. a line showing high point)

Unlike ISeries, annotations are allowed to draw into graph margins

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface IAnnotation

### Properties

#### BeforeSeries

True if annotation should be drawn before ISeries. This allowes Series and later annotations to potentially draw over the top of this annotation.

##### Declaration

    bool BeforeSeries { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### Render(GraphView)

Called once after series have been rendered (or before if BeforeSeries is true). Use Driver to draw and Bounds to avoid drawing outside of graph

##### Declaration

    void Render(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |